"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _metadata_keys_1 = require("./_metadata-keys");
function Ignore(reason) {
    return (target, propertyKey, descriptor) => {
        if (typeof target === "function") {
            // mark test method as ignored
            Reflect.defineMetadata(_metadata_keys_1.IGNORE, true, target);
            // add the reason
            Reflect.defineMetadata(_metadata_keys_1.IGNORE_REASON, reason, target);
        }
        else {
            // mark test method as ignored
            Reflect.defineMetadata(_metadata_keys_1.IGNORE, true, target, propertyKey);
            // add the reason
            Reflect.defineMetadata(_metadata_keys_1.IGNORE_REASON, reason, target, propertyKey);
        }
    };
}
exports.Ignore = Ignore;
//# sourceMappingURL=ignore-decorator.js.map