"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const match_error_1 = require("./match-error");
const stringification_1 = require("../stringification");
class FunctionCallMatchError extends match_error_1.MatchError {
    constructor(actualValue, shouldMatch, args) {
        super(`Expected function ${!shouldMatch ? "not " : ""}to be called` +
            `${args ? " with " + stringification_1.stringify(args) : ""}.`);
        const calls = actualValue.calls;
        this._actual =
            `function was ${shouldMatch && !(args && calls.length) ? "not " : ""}called` +
                `${args && calls.length
                    ? " with " + calls.map(call => stringification_1.stringify(call.args)).join(", ")
                    : ""}.`;
        this._expected =
            `function ${!shouldMatch ? "not " : ""}to be called` +
                `${args ? " with " + stringification_1.stringify(args) : ""}.`;
    }
}
exports.FunctionCallMatchError = FunctionCallMatchError;
//# sourceMappingURL=function-call-match-error.js.map