"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const match_error_1 = require("./match-error");
const stringification_1 = require("../stringification");
class PropertySetMatchError extends match_error_1.MatchError {
    constructor(actualValue, shouldMatch, value) {
        super(`Expected property ${!shouldMatch ? "not " : ""}to be set` +
            `${arguments.length === 3 ? " to " + stringification_1.stringify(value) + "" : ""}.`);
        const setCalls = actualValue.setCalls;
        this._actual =
            `property was ${shouldMatch && !(arguments.length === 3 && setCalls.length)
                ? "not "
                : ""}` +
                `set${arguments.length === 3 && setCalls.length
                    ? " to " + this._stringifyArguments(setCalls)
                    : ""}.`;
        this._expected = `property ${!shouldMatch ? "not " : ""}to be set${arguments.length === 3 ? " to " + stringification_1.stringify(value) : ""}.`;
    }
    _stringifyArguments(setCalls) {
        return setCalls.map((call) => stringification_1.stringify(call.args[0])).join(", ");
    }
}
exports.PropertySetMatchError = PropertySetMatchError;
//# sourceMappingURL=property-set-match-error.js.map