"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
const matcher_1 = require("./matcher");
/**
 * Checks whether properties have performed as expected
 */
class PropertyMatcher extends matcher_1.Matcher {
    /**
     * Checks that a property spy has been set
     */
    toHaveBeenSet() {
        if ((this.actualValue.setCalls.length === 0) === this.shouldMatch) {
            throw new errors_1.PropertySetMatchError(this.actualValue, this.shouldMatch);
        }
    }
    /**
     * Checks that a property spy has been set to a specific value
     * @param value - a value to which the property should be set to
     */
    toHaveBeenSetTo(value) {
        if ((this.actualValue.setCalls.filter((call) => call.args[0] === value)
            .length ===
            0) ===
            this.shouldMatch) {
            throw new errors_1.PropertySetMatchError(this.actualValue, this.shouldMatch, value);
        }
    }
}
exports.PropertyMatcher = PropertyMatcher;
//# sourceMappingURL=property-matcher.js.map