"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const errors_1 = require("../errors");
const test_outcome_1 = require("./test-outcome");
class TestCaseResult {
    constructor(test, testCaseArguments, error = null) {
        this._test = test;
        this._arguments = testCaseArguments;
        this._error = error;
    }
    get outcome() {
        if (this._error) {
            if (this._error instanceof errors_1.MatchError) {
                return test_outcome_1.TestOutcome.Fail;
            }
            return test_outcome_1.TestOutcome.Error;
        }
        if (this._test.ignored) {
            return test_outcome_1.TestOutcome.Skip;
        }
        return test_outcome_1.TestOutcome.Pass;
    }
    get test() {
        return this._test;
    }
    get arguments() {
        return this._arguments;
    }
    get error() {
        return this._error;
    }
}
exports.TestCaseResult = TestCaseResult;
//# sourceMappingURL=test-case-result.js.map