"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const readline = require("readline");
const through = require("through2");
class Stream {
    constructor() {
        this._stream = through();
    }
    get stream() {
        return this._stream;
    }
    set stream(value) {
        this._stream = value;
    }
    writeLine(message) {
        this._stream.write(message + "\n");
    }
    write(message) {
        this._stream.write(message);
    }
    moveCursor(x, y) {
        readline.moveCursor(this._stream, x, y);
    }
    cursorTo(x, y) {
        readline.cursorTo(this._stream, x, y);
    }
    clearLine() {
        readline.clearLine(this._stream, 0);
    }
    getUnderlyingStream() {
        return this._stream;
    }
}
exports.Stream = Stream;
//# sourceMappingURL=stream.js.map